SimpleBigProjectLogger (Apache Ant API)

Package org.apache.tools.ant.listener

## Class SimpleBigProjectLogger

- java.lang.Object
- - org.apache.tools.ant.DefaultLogger
  - - org.apache.tools.ant.NoBannerLogger
    - - org.apache.tools.ant.listener.SimpleBigProjectLogger

- All Implemented Interfaces:
    `java.util.EventListener`, `BuildListener`, `BuildLogger`
  Direct Known Subclasses:
    `BigProjectLogger`

      public class SimpleBigProjectLogger
      extends NoBannerLogger

  Displays subproject names like `BigProjectLogger` but is otherwise as quiet as `NoBannerLogger`.
  Since:
    Ant1.8.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.NoBannerLogger

      `targetName`

    - ### Fields inherited from class org.apache.tools.ant.DefaultLogger

      `emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleBigProjectLogger()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `extractTargetName​(BuildEvent event)` | Override point, extract the target name

    - ### Methods inherited from class org.apache.tools.ant.NoBannerLogger

      `messageLogged, targetFinished, targetStarted`

    - ### Methods inherited from class org.apache.tools.ant.DefaultLogger

      `buildFinished, buildStarted, extractProjectName, formatTime, getBuildFailedMessage, getBuildSuccessfulMessage, getMessageOutputLevel, getTimestamp, log, printMessage, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream, taskFinished, taskStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleBigProjectLogger

          public SimpleBigProjectLogger()

  - ### Method Detail

    - #### extractTargetName

          protected java.lang.String extractTargetName​(BuildEvent event)

      Override point, extract the target name
      Overrides:
        `extractTargetName` in class `NoBannerLogger`
      Parameters:
        `event` - the event to work on
      Returns:
        the target name -including the owning project name (if non-null)